Bug 117834 - VIEWING: Scrollbars on form dialog and text box are not fully functional.
Summary: VIEWING: Scrollbars on form dialog and text box are not fully functional.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Scrollbars
  Show dependency treegraph
 
Reported: 2018-05-27 13:16 UTC by Balint Fodor
Modified: 2020-12-20 03:45 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Scrollbars in dialog and text box. See macro. (13.24 KB, application/vnd.sun.xml.base)
2018-05-27 13:16 UTC, Balint Fodor
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Balint Fodor 2018-05-27 13:16:40 UTC
Created attachment 142310 [details]
Scrollbars in dialog and text box. See macro.

Scrollbars on form dialog and text box are not fully functional.

- In a dialog, it scrolls only 1 px, when clicked in the shaft, instead of a full page
- If I only set the vertical scrollbar, it does not extend to the bottom of the dialog, as if it would need to give space to a horizontal scrollbar too.
- In the dialog editor it can be set to None, Horizonal, Vertical or Both, but it cannot be made automatic, so it only appears, if the Scroll height exceeds the height of the dialog, and in the macro, setting the VScroll property of the dialog model has no effect. The same applies to text boxes' scrollbars. Setting the scrollbar by macro only has effect, if I open the form in design mode.

Try the attached example.
Comment 1 Alex Thurgood 2018-05-29 12:11:20 UTC
(In reply to Balint Fodor from comment #0)
> Created attachment 142310 [details]
> Scrollbars in dialog and text box. See macro.
> 
> Scrollbars on form dialog and text box are not fully functional.
> 
> - In a dialog, it scrolls only 1 px, when clicked in the shaft, instead of a
> full page
> - If I only set the vertical scrollbar, it does not extend to the bottom of
> the dialog, as if it would need to give space to a horizontal scrollbar too.

Confirming

Tested on 

Version: 6.2.0.0.alpha0+
Build ID: 7f3c2ee6c135773c98ded063bdf10ec8900bf00f
CPU threads: 4; OS: Mac OS X 10.13.4; UI render: default; 
Locale: fr-FR (fr_FR.UTF-8); Calc: group threaded



> - In the dialog editor it can be set to None, Horizonal, Vertical or Both,
> but it cannot be made automatic, so it only appears, if the Scroll height
> exceeds the height of the dialog, and in the macro, setting the VScroll
> property of the dialog model has no effect. The same applies to text boxes'
> scrollbars. Setting the scrollbar by macro only has effect, if I open the
> form in design mode.

Confirming that changing the boolean value from True to False or vice-versa has no effect on the display when the macro is run.
Comment 2 Xisco Faulí 2018-05-31 16:12:01 UTC
Hello Balint,
Thanks for reporting this issue.

> - In a dialog, it scrolls only 1 px, when clicked in the shaft, instead of a
> full page

I can't reproduce it in GTK3. Only GEN and GTK....

> - If I only set the vertical scrollbar, it does not extend to the bottom of
> the dialog, as if it would need to give space to a horizontal scrollbar too.

Also reproduced in 

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

@Caolán, I thought you could be interested in this one...
Comment 3 Caolán McNamara 2018-06-07 13:12:52 UTC
Its "works" under gtk3 because that platform is a PrimaryButtonWarpsSlider true platform, i.e. scrolls directly to the point clicked on the scrollbar. The others (gen) are where a click scrolls by a page/block, and the default block size is just one pixel.

From uno the property on the scrollbar is "BlockIncrement" (I think) to specify how much it should scroll on a page down click. Not sure how to get the scrollbar for the dialog in order to chage that BlockIncrement property, its outside of my domain.
Comment 4 andreas_k 2018-12-13 21:44:09 UTC
why is this a Notebookbar-Groupedbar bug? Base and Forms didn't have NB support?
Comment 5 QA Administrators 2020-12-20 03:45:53 UTC
Dear Balint Fodor,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug